HypericInterceptor (Hyperic HQ Plugin API)
Keywords: org.hyperic.hibernate.HypericInterceptor class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hibernate
Class HypericInterceptor

    java.lang.Object
      org.hibernate.EmptyInterceptor
          org.hyperic.hibernate.HypericInterceptor

All Implemented Interfaces:
  java.io.Serializable, org.hibernate.Interceptor

    public class HypericInterceptor

extends org.hibernate.EmptyInterceptor

This interceptor delegates to others in the chain. Most of the meat is in `HypericInterceptorTarget`

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.hibernate.EmptyInterceptor
`INSTANCE`

Constructor Summary
`HypericInterceptor()`

Method Summary
`void` | `afterTransactionBegin(org.hibernate.Transaction tx)`
`void` | `afterTransactionCompletion(org.hibernate.Transaction tx)`
`void` | `beforeTransactionCompletion(org.hibernate.Transaction tx)`
`int[]` | `findDirty(java.lang.Object entity, java.io.Serializable id, java.lang.Object[] currentState, java.lang.Object[] previousState, java.lang.String[] propertyNames, org.hibernate.type.Type[] types)`
`java.lang.Object` | `getEntity(java.lang.String entityName, java.io.Serializable id)`
`java.lang.String` | `getEntityName(java.lang.Object object)`
`java.lang.Object` | `instantiate(java.lang.String entityName, org.hibernate.EntityMode entityMode, java.io.Serializable id)`
`java.lang.Boolean` | `isTransient(java.lang.Object entity)`
`void` | `onCollectionRecreate(java.lang.Object collection, java.io.Serializable key)`
`void` | `onCollectionRemove(java.lang.Object collection, java.io.Serializable key)`
`void` | `onCollectionUpdate(java.lang.Object collection, java.io.Serializable key)`
`void` | `onDelete(java.lang.Object entity, java.io.Serializable id, java.lang.Object[] state, java.lang.String[] propertyNames, org.hibernate.type.Type[] types)`
`boolean` | `onFlushDirty(java.lang.Object entity, java.io.Serializable id, java.lang.Object[] currentState, java.lang.Object[] previousState, java.lang.String[] propertyNames, org.hibernate.type.Type[] types)`
`boolean` | `onLoad(java.lang.Object entity, java.io.Serializable id, java.lang.Object[] state, java.lang.String[] propertyNames, org.hibernate.type.Type[] types)`
`java.lang.String` | `onPrepareStatement(java.lang.String sql)`
`boolean` | `onSave(java.lang.Object entity, java.io.Serializable id, java.lang.Object[] state, java.lang.String[] propertyNames, org.hibernate.type.Type[] types)`
`void` | `postFlush(java.util.Iterator entities)`
`void` | `preFlush(java.util.Iterator entities)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HypericInterceptor

    public HypericInterceptor()

Method Detail

### onPrepareStatement

    public java.lang.String onPrepareStatement(java.lang.String sql)

  Specified by:
    `onPrepareStatement` in interface `org.hibernate.Interceptor`
  Overrides:
    `onPrepareStatement` in class `org.hibernate.EmptyInterceptor`

### onFlushDirty

    public boolean onFlushDirty(java.lang.Object entity,
                                java.io.Serializable id,
                                java.lang.Object[] currentState,
                                java.lang.Object[] previousState,
                                java.lang.String[] propertyNames,
                                org.hibernate.type.Type[] types)

  Specified by:
    `onFlushDirty` in interface `org.hibernate.Interceptor`
  Overrides:
    `onFlushDirty` in class `org.hibernate.EmptyInterceptor`

### onSave

    public boolean onSave(java.lang.Object entity,
                          java.io.Serializable id,
                          java.lang.Object[] state,
                          java.lang.String[] propertyNames,
                          org.hibernate.type.Type[] types)

  Specified by:
    `onSave` in interface `org.hibernate.Interceptor`
  Overrides:
    `onSave` in class `org.hibernate.EmptyInterceptor`

### afterTransactionBegin

    public void afterTransactionBegin(org.hibernate.Transaction tx)

  Specified by:
    `afterTransactionBegin` in interface `org.hibernate.Interceptor`
  Overrides:
    `afterTransactionBegin` in class `org.hibernate.EmptyInterceptor`

### afterTransactionCompletion

    public void afterTransactionCompletion(org.hibernate.Transaction tx)

  Specified by:
    `afterTransactionCompletion` in interface `org.hibernate.Interceptor`
  Overrides:
    `afterTransactionCompletion` in class `org.hibernate.EmptyInterceptor`

### beforeTransactionCompletion

    public void beforeTransactionCompletion(org.hibernate.Transaction tx)

  Specified by:
    `beforeTransactionCompletion` in interface `org.hibernate.Interceptor`
  Overrides:
    `beforeTransactionCompletion` in class `org.hibernate.EmptyInterceptor`

### findDirty

    public int[] findDirty(java.lang.Object entity,
                           java.io.Serializable id,
                           java.lang.Object[] currentState,
                           java.lang.Object[] previousState,
                           java.lang.String[] propertyNames,
                           org.hibernate.type.Type[] types)

  Specified by:
    `findDirty` in interface `org.hibernate.Interceptor`
  Overrides:
    `findDirty` in class `org.hibernate.EmptyInterceptor`

### getEntity

    public java.lang.Object getEntity(java.lang.String entityName,
                                      java.io.Serializable id)

  Specified by:
    `getEntity` in interface `org.hibernate.Interceptor`
  Overrides:
    `getEntity` in class `org.hibernate.EmptyInterceptor`

### getEntityName

    public java.lang.String getEntityName(java.lang.Object object)

  Specified by:
    `getEntityName` in interface `org.hibernate.Interceptor`
  Overrides:
    `getEntityName` in class `org.hibernate.EmptyInterceptor`

### instantiate

    public java.lang.Object instantiate(java.lang.String entityName,
                                        org.hibernate.EntityMode entityMode,
                                        java.io.Serializable id)

  Specified by:
    `instantiate` in interface `org.hibernate.Interceptor`
  Overrides:
    `instantiate` in class `org.hibernate.EmptyInterceptor`

### isTransient

    public java.lang.Boolean isTransient(java.lang.Object entity)

  Specified by:
    `isTransient` in interface `org.hibernate.Interceptor`
  Overrides:
    `isTransient` in class `org.hibernate.EmptyInterceptor`

### onCollectionRecreate

    public void onCollectionRecreate(java.lang.Object collection,
                                     java.io.Serializable key)
                              throws org.hibernate.CallbackException

  Specified by:
    `onCollectionRecreate` in interface `org.hibernate.Interceptor`
  Overrides:
    `onCollectionRecreate` in class `org.hibernate.EmptyInterceptor`
  Throws:
    `org.hibernate.CallbackException`

### onCollectionRemove

    public void onCollectionRemove(java.lang.Object collection,
                                   java.io.Serializable key)
                            throws org.hibernate.CallbackException

  Specified by:
    `onCollectionRemove` in interface `org.hibernate.Interceptor`
  Overrides:
    `onCollectionRemove` in class `org.hibernate.EmptyInterceptor`
  Throws:
    `org.hibernate.CallbackException`

### onCollectionUpdate

    public void onCollectionUpdate(java.lang.Object collection,
                                   java.io.Serializable key)
                            throws org.hibernate.CallbackException

  Specified by:
    `onCollectionUpdate` in interface `org.hibernate.Interceptor`
  Overrides:
    `onCollectionUpdate` in class `org.hibernate.EmptyInterceptor`
  Throws:
    `org.hibernate.CallbackException`

### onDelete

    public void onDelete(java.lang.Object entity,
                         java.io.Serializable id,
                         java.lang.Object[] state,
                         java.lang.String[] propertyNames,
                         org.hibernate.type.Type[] types)

  Specified by:
    `onDelete` in interface `org.hibernate.Interceptor`
  Overrides:
    `onDelete` in class `org.hibernate.EmptyInterceptor`

### onLoad

    public boolean onLoad(java.lang.Object entity,
                          java.io.Serializable id,
                          java.lang.Object[] state,
                          java.lang.String[] propertyNames,
                          org.hibernate.type.Type[] types)

  Specified by:
    `onLoad` in interface `org.hibernate.Interceptor`
  Overrides:
    `onLoad` in class `org.hibernate.EmptyInterceptor`

### postFlush

    public void postFlush(java.util.Iterator entities)

  Specified by:
    `postFlush` in interface `org.hibernate.Interceptor`
  Overrides:
    `postFlush` in class `org.hibernate.EmptyInterceptor`

### preFlush

    public void preFlush(java.util.Iterator entities)

  Specified by:
    `preFlush` in interface `org.hibernate.Interceptor`
  Overrides:
    `preFlush` in class `org.hibernate.EmptyInterceptor`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.